Overview
GET/ecosystem/ecosystem-capabilities/{ecosystemId}/{capability}ecosystem

Get ecosystem_capabilities by id

Fetch a record from ecosystem-capabilities by ecosystemId, capability.

Auth: bearerAuth — calls run as the authenticated user.

Parameters
  • ecosystemIdpathstring
  • capabilitypathstring
Responses
200

ecosystem_capabilities

  • ecosystemIdstring
  • capabilitystring
  • configstring | number | boolean? | object | any[]?
  • createdAtstring
  • updatedAtstring
Example
{
  "ecosystemId": "string",
  "capability": "string",
  "config": "string",
  "createdAt": "string",
  "updatedAt": "string"
}
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
404

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/ecosystem/ecosystem-capabilities/{ecosystemId}/{capability}" \
  -H "Authorization: Bearer YOUR_TOKEN"
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/ecosystem/ecosystem-capabilities/{ecosystemId}/{capability}", {
  method: "GET",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN"
  },
});
const data = await res.json();